# class hk_kdetextdialog

Definition | `#include <hk_kdeclasses/hk_kdeclasses/hk_kdemessages.h>`
Inherits | QDialog (unknown) [public ]
List of all Methods

Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- hk_kdetextdialog ( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 )
- ~hk_kdetextdialog ()

#### Public Members

- QLabel* textlabel
- QLineEdit* textfield
- QPushButton* buttonOk
- QPushButton* buttonCancel

#### Protected Slots

- virtual void languageChange ()
- virtual void text_changed (const QString&)

#### Protected Members

- QVBoxLayout* hk_kdetextdialogLayout
- QHBoxLayout* Layout1

## Detailed Description

hk_kdetextdialog ( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 )

### hk_kdetextdialog

~hk_kdetextdialog ()

### ~hk_kdetextdialog

QLabel* textlabel

### textlabel

QLineEdit* textfield

### textfield

QPushButton* buttonOk

### buttonOk

QPushButton* buttonCancel

### buttonCancel

QVBoxLayout* hk_kdetextdialogLayout

### hk_kdetextdialogLayout

[protected]

QHBoxLayout* Layout1

### Layout1

[protected]

void languageChange ()

### languageChange

[protected slots virtual slot]

void text_changed (const QString&)

### text_changed

[protected slots virtual slot]

Generated by: horst on horstnotebook on Tue Mar 30 19:06:43 2004, using kdoc 2.0a54.